"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Admin = void 0;
var _react = _interopRequireWildcard(require("react"));
var _plugins = require("@webiny/plugins");
var _appAdmin = require("@webiny/app-admin");
var _appTenancy = require("@webiny/app-tenancy");
var _appSecurity = require("@webiny/app-security");
var _appI18n = require("@webiny/app-i18n");
var _appI18nContent = require("@webiny/app-i18n-content");
var _appPageBuilder = require("@webiny/app-page-builder");
var _appFormBuilder = require("@webiny/app-form-builder");
var _appHeadlessCms = require("@webiny/app-headless-cms");
var _appAdminRmwc = require("@webiny/app-admin-rmwc");
var _app = require("@webiny/app-file-manager/app");
var _appGraphqlPlayground = require("@webiny/app-graphql-playground");
var _appSecurityAccessManagement = require("@webiny/app-security-access-management");
var _plugins2 = require("@webiny/app/plugins");
var _appFileManagerS = _interopRequireDefault(require("@webiny/app-file-manager-s3"));
var _apolloClientFactory = require("./apolloClientFactory");
var _apolloLinks = _interopRequireDefault(require("./apolloLinks"));
var _ViewCompositionProvider = require("@webiny/app-admin/base/providers/ViewCompositionProvider");
var _appApw = require("@webiny/app-apw");
var _appTenantManager = require("@webiny/app-tenant-manager");
var _appAuditLogs = require("@webiny/app-audit-logs");
var _lexicalEditorPbElement = require("@webiny/lexical-editor-pb-element");
var _lexicalEditorActions = require("@webiny/lexical-editor-actions");
var _appMailer = require("@webiny/app-mailer");
var _appAco = require("@webiny/app-aco");
var _appWebsockets = require("@webiny/app-websockets");
var _appRecordLocking = require("@webiny/app-record-locking");
var _appTrashBin = require("@webiny/app-trash-bin");
var _admin = require("@webiny/app-dynamic-pages/admin");
var App = function App(props) {
  var createApolloClient = props.createApolloClient || _apolloClientFactory.createApolloClient;
  var ViewCompositionProvider = (0, _ViewCompositionProvider.createViewCompositionProvider)();
  _plugins.plugins.register((0, _plugins2.imagePlugin)(), (0, _appFileManagerS.default)(), _apolloLinks.default);
  return /*#__PURE__*/_react.default.createElement(_appAdmin.Admin, {
    createApolloClient: createApolloClient
  }, /*#__PURE__*/_react.default.createElement(_appAdminRmwc.RMWC, null), /*#__PURE__*/_react.default.createElement(_appTenancy.Tenancy, null), /*#__PURE__*/_react.default.createElement(_appSecurity.Security, null), /*#__PURE__*/_react.default.createElement(_appSecurityAccessManagement.AccessManagement, null), /*#__PURE__*/_react.default.createElement(_appAdmin.AppInstaller, null), /*#__PURE__*/_react.default.createElement(_appAco.Folders, null), /*#__PURE__*/_react.default.createElement(_app.FileManager, null), /*#__PURE__*/_react.default.createElement(_appGraphqlPlayground.GraphQLPlayground, {
    createApolloClient: createApolloClient
  }), /*#__PURE__*/_react.default.createElement(_appI18n.I18N, null), /*#__PURE__*/_react.default.createElement(_appI18nContent.I18NContent, null), /*#__PURE__*/_react.default.createElement(_appAdmin.Provider, {
    hoc: ViewCompositionProvider
  }), /*#__PURE__*/_react.default.createElement(_appWebsockets.Websockets, null), /*#__PURE__*/_react.default.createElement(_appRecordLocking.RecordLocking, null), /*#__PURE__*/_react.default.createElement(_appPageBuilder.PageBuilder, null), /*#__PURE__*/_react.default.createElement(_lexicalEditorPbElement.LexicalEditorPlugin, null), /*#__PURE__*/_react.default.createElement(_lexicalEditorActions.LexicalEditorActions, null), /*#__PURE__*/_react.default.createElement(_appFormBuilder.FormBuilder, null), /*#__PURE__*/_react.default.createElement(_appHeadlessCms.HeadlessCMS, {
    createApolloClient: createApolloClient
  }), /*#__PURE__*/_react.default.createElement(_appApw.AdvancedPublishingWorkflow, null), /*#__PURE__*/_react.default.createElement(_appTenantManager.TenantManager, null), /*#__PURE__*/_react.default.createElement(_appAuditLogs.AuditLogs, null), /*#__PURE__*/_react.default.createElement(_appMailer.Module, null), /*#__PURE__*/_react.default.createElement(_appTrashBin.TrashBinConfigs, null), /*#__PURE__*/_react.default.createElement(_admin.DynamicPages, null), props.children);
};
var Admin = exports.Admin = /*#__PURE__*/(0, _react.memo)(App);

//# sourceMappingURL=Admin.js.map